Subject: [PATCH] bus: omap_l3_noc: Fix master id address decoding for OMAP5

From: [email-masked] (Tony Lindgren)
Date: Mon, 4 May 2015 09:31:14 -0700

* Nishanth Menon <[email-masked]> [150424 11:34]:
> On 04/24/2015 12:54 PM, Suman Anna wrote:
> > The L3 Error handling on OMAP5 for the most part is very similar
> > to that of OMAP4, and had leveraged common data structures and
> > register layout definitions so far. Upon closer inspection, there
> > are a few minor differences causing an incorrect decoding and
> > reporting of the master NIU upon an error:
> > 
> >   1. The L3_TARG_STDERRLOG_MSTADDR.STDERRLOG_MSTADDR occupies
> >      11 bits on OMAP5 as against 8 bits on OMAP4, with the master
> >      NIU connID encoded in the 6 MSBs of the STDERRLOG_MSTADDR
> >      field.
> >   2. The CLK3 FlagMux component has 1 input source on OMAP4 and 3
> >      input sources on OMAP5. The common DEBUGSS source is at a
> >      different input on each SoC.
> > 
> > Fix the above issues by using a OMAP5-specific compatible property
> > and using SoC-specific data where there are differences.
> > 
> > Cc: Nishanth Menon <[email-masked]>
> > Signed-off-by: Suman Anna <[email-masked]>
...
 
> If tony does not mind dts+driver patch, then except for the above comment:
> 
> Acked-by: Nishanth Menon <[email-masked]>

Looks OK to me for a fix. In general we want to have the .dts
changes separated from the driver changes though.

Applying into omap-for-v4.1/fixes.

Regards,

Tony